OpenWrt 19.07.x ath79 tiny LuCI

Could you build images with full wpad (not mini version)? Full wpad is needed to enable WiFi roaming.

Welcome, @cyanoone. I posted a recipe about Wi-Fi roaming. I hope it helps you.

1 Like

Hi can someone build for me one firmware for my tl-wa850re v2 ?
I flashed it with the firmware for the tl-wr841 v10 who has the same soc and it seems working but not too good can someone help me ?

Hello,
thanks for providing this image; it saved my day after installing it on TP-Link WR841ND for the purpose of Wifi-Bridge with relayd.

Would it make sense to adress some specific question regarding this function used here in this thread?

THX

Hi, you're welcome.
I think setting up relayd or configuring the network is out of scope of this topic. Feel free to put a link to another topic here.

TL-WA850RE v2 has a problem with the overlay size
Devices with Image too big to save overlay
Until someone come up with a fix for it there is no way around to build a 19.07 image.

Tiny 19.07.4

OpenWRT 19.07.4 compiled. More device targets this time.
Download location is almost the same - just another directory.

1 Like

Thank you!

Works like a charm

Can you add some firmwares for 941nd v5 and 840n v2. Thanks.

Sorry, but they appear not ported from ar71xx architecture, that's been deprecated. Unfortunately 941n v5 hardware looks different to v4 or v6 according to TOH page, so I can't recommend you to flash any of these these either.

Hi,

Installed on wr841nd v11, but have problems with DHCP, one client connected everything fine, when second client connects via wifi, it does not get IP address and first device loses internet connection.

Hello, is it recommended to use this build on a TL-WR941ND v3.2? There is no file for v3 available, but based on the comment below written on Feb 17, can I safely use the upgrade file for TL-WR941-v2?

"Yesterday I tried another image to flash - the device was TL-WR941ND v3.6. Although it reported back as incompatible, I successfully flashed the TL-WR941-v2/v3 version over it using CLI with force. The device compatibility ID changed as v2 and v3 were identical."

According to source code here https://github.com/openwrt/openwrt/blob/v19.07.4/target/linux/ath79/dts/ar9132_tplink_tl-wr941-v2.dts
model states "TP-Link TL-WR941N/ND v2/v3", so rev 2 version should be compatible with rev 3. I have done it earlier and would advise you to do it if you ever want any more updates for this device.
Remember to reset to factory settings when switching from platform ar71xx.

Thanks, I was able to flash "openwrt-ath79-tiny-tplink_tl-wr941-v2-squashfs-sysupgrade.bin" via the web interface over ethernet (and making sure not to keep prior configuration) with no issues. Thanks a lot for the quick response and for your work on this!

Thanks, this works great on a TP-Link TL-WR841N/ND v9. Great also to have included include relayd! (Kind of important since OPKG is missing.)

If you do have space to spare, I'd welcome having etherwake, but that's truly optional.

Please include TP-Link TL-WDR3600 v1 / Atheros AR9344 rev 2

it has very limited space and I am just using it as range extender (and lan)

The TL-WDR3600 is an 8/128 device, there is no reason at all to declare it as tiny (you should have around 3.8 MB free space on a 19.07.x release build, that's almost twice its total flash size). 20.xy.z will be tighter, due to the inclusion of a ssl/ tls library by default (to support WPA3 and luci over https), but even that will still fit with some limited margin.

1 Like

Yes right now it is as you just described but I removed the ppp related packages myself and I have to do so every time I do an upgrade, but my main idea is to free up a bit more space for some other packages like DNSCrypt etc... Thank you for your input!

@Ashus
Reporting that build 19.07.4 works well on my 4/32 TL-WR741ND v4 as a router with DHCP connection from ISP. Waiting for new builds for experiments.Thanks Ashus.